/* for saved session */
drop table if exists session;
create table session (
  session char(20) not null collate utf8_bin, -- 0
  statusId int not null, -- 1
  statusNote varchar(255) null, -- 2
  clientCtrl text null, -- 3
  customTrackAttr MEDIUMTEXT null, -- 4
  juxType int not null, -- 5
  juxWhat text null, -- 6
  juxNote varchar(255) null,  -- 7
  dspStat varchar(255) null, -- 8
  corrStat varchar(255) null, -- 9
  itemlist MEDIUMTEXT null, -- 10 the geneset that's been used for gsv
  custmd text null, -- 11
  mdconshow text null, -- 12
  dataset varchar(255) null, -- 13
  pairwisecomp text null, -- 14
  bed_n text null, -- 15
  bed_c text null, -- 16
  bedgraph_n text null, -- 17
  bedgraph_c text null, -- 18
  sam_n text null, -- 19 sam/tabix not in use
  sam_c text null, -- 20
  qdecor_n text null, -- 21
  lr_n text null, -- 22
  lr_c text null, -- 23
  cat_n text null, -- 24
  cat_c text null, -- 25
  bigwighmtk_n text null, -- 26
  bigwighmtk_c text null, -- 27
  decorRenderingParams text null, -- 28 for all non-numerical tracks
  qtc text not null, -- 29
  geneset MEDIUMTEXT null, -- 30
  stickynote text null, -- 31
  scaffoldCount smallint null, -- 32
  scaffoldNames text null, -- 33
  bam_n text null, -- 34
  bam_c text null, -- 35
  reserved_3 text null, -- 36
  reserved_4 text null,
  reserved_5 text null,
  reserved_6 text null,
  reserved_7 text null,
  reserved_8 text null,
  reserved_9 text null,
  reserved_10 text null
);
/* for run-time use of gene set view */
drop table if exists genesetRuntime;
create table genesetRuntime (
  session char(20) not null collate utf8_bin,
  statusId int not null,
  itemlist MEDIUMTEXT not null
);
/* scaffold, for run-time */
drop table if exists scaffoldRuntime;
create table scaffoldRuntime (
  session char(20) not null collate utf8_bin,
  statusId int not null,
  count smallint unsigned not null,
  names longtext not null /* name1,len1,name2,len2,... */
);
