import sys
import os


if len(sys.argv) != 3:
	print 'Usage: {0} <refGene.txt> <kgXref.txt>'.format(sys.argv[0])
	sys.exit()

infile, kgxreffile = sys.argv[1:]

os.system('/home/xzhou/subtleKnife/script/refGene2bed {0} refGene /home/xzhou/data/mm9/chromsize 1'.format(infile))


# load name - symbol - desc
desc = {}
with open(kgxreffile) as fin:
	for line in fin:
		lst = line.rstrip().split('\t')
		if lst[1]!='' and lst[4]!='' and lst[7]!='':
			desc[lst[1]] = (lst[4], lst[7])




fout = open('refGenesymbol','w')
notfound = []
with open('refGene.struct.txt') as fin:
	for line in fin:
		lst = line.rstrip().split('\t')
		if lst[10] in desc:
			fout.write('{0}\t{1}\t{2}\t{3}\n'.format(lst[10], desc[lst[10]][0], desc[lst[10]][1], lst[0]))
		else:
			notfound.append(lst[10])
fout.close()

if len(notfound) > 0:
	print '!!! {0} names in .struct.txt file not found in symbol file'.format(len(notfound))

print '''

drop table if exists refGenesymbol;
create table refGenesymbol (
name varchar(255) not null,
symbol varchar(255) null,
description text null,
id int unsigned not null primary key,
index(name)
);
load data local infile 'refGenesymbol' into table refGenesymbol;
'''

